Bug 9690 - Replace YUI buttons on the catalog search results page with Bootstrap
Summary: Replace YUI buttons on the catalog search results page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/catalogue/search.pl
Keywords:
Depends on:
Blocks: 9779
  Show dependency treegraph
 
Reported: 2013-02-21 21:17 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9690 - Replace YUI buttons on the catalog search results page with Bootstrap (7.85 KB, patch)
2013-02-22 17:52 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9690 - Replace YUI buttons on the catalog search results page with Bootstrap (7.99 KB, patch)
2013-02-22 18:15 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 9690 - Replace YUI buttons on the catalog search results page with Bootstrap (8.16 KB, patch)
2013-03-05 07:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-21 21:17:10 UTC
"Save," "Place hold," and "Z39.50 search" buttons on the catalog search results page are generated by YUI. They should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-22 17:52:52 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-22 18:15:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-05 07:13:38 UTC
Created attachment 15873 [details] [review]
[PASSED QA] Bug 9690 - Replace YUI buttons on the catalog search results page with Bootstrap

"Save," "Place hold," and "Z39.50 search" buttons on the catalog search
results page are generated by YUI.

This patch removes YUI styling from the "Save" button and uses Bootstrap
to apply styling to the "Place hold" and "Z39.50 search" button.
The "search to hold" split button menu is converted to Bootstrap as well.

The "Save" button's appearance is inconsistent with the Bootstrap ones,
but right now we don't have a good method for overriding the default
submit button CSS with Bootstrap button styling. I hope this can be
dealt with in a more global way in a subsequent patch.

To test, search the catalog in the staff client. Confirm that the
"Save," "Place hold," and "Z39.50 search" buttons look correct and work
correctly. Also select a patron and "search to hold," confirming the
functionality of all the opitions added to the "Place hold" button menu.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: All buttons works ok, nice looking. No errors.
On button 'Place hold', all opitions works :)

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, no problems found. Noticed that buttons here
are smaller than in other places, but this has been so before.
Comment 4 Jared Camins-Esakov 2013-03-15 23:22:06 UTC
This patch has been pushed to master.